MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024821Open CASCADE[OCCT] OCCT:Visualizationpublic2014-04-10 14:082014-05-05 13:39
Reporterabv 
Assigned Toapn 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformMac OS XOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024821: CLang warning -Wunsequenced in StdSelect_ViewerSelector3d
DescriptionCLang produces two warnings on potential error in StdSelect:

StdSelect_ViewerSelector3d.cxx:770:38: warning: unsequenced modification and access to 'II' [-Wunsequenced]

StdSelect_ViewerSelector3d.cxx:837:34: warning: unsequenced modification and access to 'II' [-Wunsequenced]


Steps To Reproduce
gp_Pnt ThePts[3] =
{
  gp_Pnt (C->GetPoint3d (II).XYZ()),
  gp_Pnt (C->GetPoint3d (++II).XYZ()),
  gp_Pnt (C->GetPoint3d (++II).XYZ())
};
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028781)
kgv (developer)
2014-04-10 16:18

Patch is ready for testing in branch CR24821.
(0028875)
mkv (tester)
2014-04-16 13:15

Dear BugMaster,

Branch CR24821 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: c67552eae2bc06f88fb1c2c518f7444388ea537f

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 411 (413 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 351519484 / 352642984
Total CPU difference: 50740.21 / 67343.19000000024

Testing on Windows:
Total MEMORY difference: 381076876 / 380685176
Total CPU difference: 34544.8125 / 39760.1875

There are no differences in images found by testdiff.

- Related Changesets
occt: master d7515f9a
Timestamp: 2014-04-10 12:16:27
Author: kgv
Committer: apn
Details ] Diff ]
0024821: CLang warning -Wunsequenced in StdSelect_ViewerSelector3d
mod - src/StdSelect/StdSelect_ViewerSelector3d.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-10 14:08 abv New Issue
2014-04-10 14:08 abv Assigned To => san
2014-04-10 14:09 abv Assigned To san => kgv
2014-04-10 14:09 abv Status new => assigned
2014-04-10 14:09 abv Platform => Mac OS X
2014-04-10 14:09 abv Product Version => 6.7.1
2014-04-10 14:09 abv Target Version => 6.7.1
2014-04-10 16:18 kgv Note Added: 0028781
2014-04-10 16:18 kgv Assigned To kgv => bugmaster
2014-04-10 16:18 kgv Severity minor => trivial
2014-04-10 16:18 kgv Status assigned => resolved
2014-04-10 16:18 kgv Summary CLang warning -Wunsequenced => CLang warning -Wunsequenced in StdSelect_ViewerSelector3d
2014-04-10 16:18 kgv Description Updated View Revisions
2014-04-10 16:18 kgv Steps to Reproduce Updated View Revisions
2014-04-10 16:18 kgv Status resolved => reviewed
2014-04-11 14:42 apn Assigned To bugmaster => apn
2014-04-14 16:25 mkv Assigned To apn => mkv
2014-04-16 13:15 mkv Note Added: 0028875
2014-04-16 13:17 mkv Test case number => Not needed
2014-04-16 13:17 mkv Assigned To mkv => bugmaster
2014-04-16 13:17 mkv Status reviewed => tested
2014-04-18 16:02 apn Changeset attached => occt master d7515f9a
2014-04-18 16:02 apn Assigned To bugmaster => apn
2014-04-18 16:02 apn Status tested => verified
2014-04-18 16:02 apn Resolution open => fixed
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker